# CharClass

Procedure Summary
IsControl(CHAR): BOOLEAN Returns TRUE if and only if ch represents a control function.
IsEol(CHAR): BOOLEAN Returns TRUE if and only if ch is the implementation-defined character used to represent end of line internally for OOC.
IsLetter(CHAR): BOOLEAN Returns TRUE if and only if ch is classified as a letter.
IsLower(CHAR): BOOLEAN Returns TRUE if and only if ch is classified as a lower case letter.
IsNumeric(CHAR): BOOLEAN Returns TRUE if and only if ch is classified as a numeric character.
IsUpper(CHAR): BOOLEAN Returns TRUE if and only if ch is classified as an upper case letter.
IsWhiteSpace(CHAR): BOOLEAN Returns TRUE if and only if ch represents a space character or a format effector.

Variable Summary
systemEol-: ARRAY n OF CHAR End of line marker used by the target system for text files.

Constant Summary
eol The implementation-defined character used to represent end of line internally for OOC.

Procedure Detail

### IsControl

    PROCEDURE IsControl(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch represents a control function.

### IsEol

    PROCEDURE IsEol(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch is the implementation-defined character used to represent end of line internally for OOC.

### IsLetter

    PROCEDURE IsLetter(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch is classified as a letter.

### IsLower

    PROCEDURE IsLower(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch is classified as a lower case letter.

### IsNumeric

    PROCEDURE IsNumeric(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch is classified as a numeric character.

### IsUpper

    PROCEDURE IsUpper(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch is classified as an upper case letter.

### IsWhiteSpace

    PROCEDURE IsWhiteSpace(ch: CHAR): BOOLEAN

> Returns TRUE if and only if ch represents a space character or a format effector.

Variable Detail

### systemEol

    VAR systemEol-: ARRAY n OF CHAR

> End of line marker used by the target system for text files. The string defined here can contain more than one character. For one character eol markers, systemEol must not necessarily equal eol. Note that the string cannot contain the termination character 0X.

Constant Detail

### eol

    CONST eol

> The implementation-defined character used to represent end of line internally for OOC.